Loading...
Searching...
No Matches
BpGraph::BlueNode Class Reference

## Detailed Description

This class represents the blue nodes of the graph. It does not supposed to be used directly, because the nodes can be represented as Node instances. This class can be used as template parameter for special map classes.

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::BlueNode:
[legend]

## Public Member Functions

| BlueNode ()
| Default constructor.
| BlueNode (const BlueNode &)
| Copy constructor.
| BlueNode (Invalid)
| Invalid constructor & conversion.
Public Member Functions inherited from BpGraph::Node
| Node ()
| Default constructor.
| Node (const Node &)
| Copy constructor.
| Node (Invalid)
| Invalid constructor & conversion.
bool | operator== (Node) const
| Equality operator.
bool | operator!= (Node) const
| Inequality operator.
bool | operator< (Node) const
| Artificial ordering operator.

## Constructor & Destructor Documentation

## BlueNode() [1/3]

BlueNode | ( |  | ) |

inline

Default constructor.

Warning
  It sets the object to an undefined value.

## BlueNode() [2/3]

BlueNode | ( | const BlueNode & |  | ) |

inline

Copy constructor.

## BlueNode() [3/3]

BlueNode | ( | Invalid |  | ) |

inline

Initializes the object to be invalid.

See also
  Invalid for more details.